package com.dsk.common.core.domain.model;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 三方平台用户登录对象
 *
 * @author sxk
 */
@Data
public class ThirdPlatformLoginBody {
    /**
     * 三方平台跳转本系统所需秘钥
     */
    @NotBlank(message = "桑芳平台登录秘钥不能为空")
    private String thirdPlatformKey;
}
