package com.dsk.jsk.domain.bo;

import lombok.Data;

/**
 * 组合查询参数
 * @author Administrator
 *
 */
@Data
public class ImportantProjectDto {


	Long id;

	String md5;

	String projectName;
	//关键字
	String keyword;
	//关键字查询范围
	String keywordStr;

	String province;

	String city;

	String area;

	String year;

	String domicile;

	Double startMoney;

	Double endMoney;
	//项目级别
	String projectLevel;
	//项目类型
	String buildingProjectType;
	//文件标题
	String fileTitle;

	String fileUrl;

	//拟开工时间
	String planStartDate;
	//拟建成时间
	String planCompletionDate;
	//项目总投资
	String projectTotalInvestment;
	//已完成投资额（万元）
	String completedInvestment;
	//年度投资金额（万元）
	String completedPlanInvestment;
	//主管部门
	String chargeDepartment;
	//项目法人
	String constructUnit;
	//项目法人id
	String constructUnitId;
	//联系方式及联系人
	String contactPersonAndTel;
	//建设规模
	String projectScale;

}
