package com.dsk.biz.goview.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@Entity
public class GoviewProjectData implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@TableId(type = IdType.ASSIGN_UUID)
	private String id;

	private String projectId;

	private LocalDateTime createTime;

	private String createUserId;

	private Long tenantId;

	@Lob
	@Basic(fetch = FetchType.LAZY)
	@Column(columnDefinition = "TEXT")
	private String content;

}
