package com.dsk.biz.goview.controller;

import cn.dev33.satoken.annotation.SaIgnore;
import com.dsk.biz.goview.common.bean.AjaxResult;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import static com.dsk.biz.goview.common.bean.AjaxResult.success;

/**
 * @author lengleng
 * @date 2022/5/21
 */
@Slf4j
@Controller
@RequestMapping
@RequiredArgsConstructor
public class GoviewPageController {

	@SaIgnore
	@GetMapping({ "/", "/chart/**", "/project/**" })
	public String index() {
		return "index";
	}

	@GetMapping("/api/goview/sys/getOssInfo")
	@ResponseBody
	public AjaxResult getOssInfo() {

		return success();

	}


}
